Subject: bug#31825: guix offload fails with guix-authenticate error

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 18 Jun 2018 22:35:36 -0400

Hi Ludo,

[email-masked] (Ludovic Courtès) writes:

> Hello,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> maxim@apteryx ~$ guix offload test
>> guix offload: testing 1 build machines defined in '/etc/guix/machines.scm'...
>> guix offload: '192.168.1.105' is running guile (GNU Guile) 2.2.3
>> guix offload: Guix is usable on '192.168.1.105' (test returned "/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
>> sending 1 store item to '192.168.1.105'...
>> exporting path `/gnu/store/smgzvgc9krglk0mjpcscg5450l05w4dg-export-test'
>> guix offload: error: build failed: program `guix-authenticate' failed
>> with exit code 1
>
> On closer inspection, it looks like it may be ‘guix-authenticate’ on
> “apteryx” that fails.  This could happen if there’s no signing key, for
> instance, but you said there’s one, so I don’t know.
>
> Could you attach strace to guix-daemon on “apteryx” and run “guix
> offload test” again?
>
> Use something like:
>
>   # strace -p $(pidof guix-daemon) -f -s 345 -o /tmp/log
>
> and then:
>
>   # guix offload test

I've ran exactly those commands, and this produced the log attached
(half a megabyte of text!). I looked at it but I can't seem to see
what's wrong in there. I hope your trained eyes can see differently!

Thanks again!

Maxim